Page MenuHomePhabricator

Switch cxserver to use Node.js 4.2 (ie > 0.10.x)
Closed, ResolvedPublic

Description

Switch to Node.js 4.2 (ie > 0.10.x) for cxserver. This will resolve SSL issue we faced a day back.

Similar to: T107762

Event Timeline

KartikMistry raised the priority of this task from to Needs Triage.
KartikMistry updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 10 2015, 7:13 AM
Arrbee triaged this task as Medium priority.Dec 11 2015, 7:28 AM
Arrbee added a subscriber: Arrbee.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Dec 14 2015, 9:56 AM
Arrbee removed a project: Technical-Debt.

@akosiaris When can we schedule this?

Not in the Jan 28th- Feb 1st (FOSDEM and all). Otherwise, when would you like to do it ?

Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 8:50 PM

I'm moving Labs instance of cxserver to Node.js 4.2 first and put result here.

KartikMistry moved this task from Backlog to In Progress on the LE-CX8-Sprint 2 board.

@akosiaris Can we schedule this now?

Monday 15th Feb 09:00 UTC ?. I think we can manage with 0 downtime. We did for graphoid and mathoid for sure. But a maintenance window is needed however, just to be on the safe side

@akosiaris confirm. Can you add window to Deployment calendar?

So, Feb 15th, US holiday, no deployments. I 'll move it a day to Feb 16th, same time.

cxserver is now migrated to scb which has node.js 4.2 and working fine. Thanks @akosiaris

KartikMistry closed this task as Resolved.Feb 16 2016, 11:35 AM